datablock ParticleData(PrinterColoredEmitter)
{
	textureName          = "base/data/particles/thinRing";
	dragCoefficient      = 0.4;
	gravityCoefficient   = 0.0;
	inheritedVelFactor   = 0.0;
	windCoefficient      = 0;
	constantAcceleration = 0;
	lifetimeMS           = 400;
	lifetimeVarianceMS   = 20;
	spinSpeed     = 0;
	spinRandomMin = -90.0;
	spinRandomMax =  90.0;
	useInvAlpha   = false;

	colors[0]     = "0.000 0.2 0.5 1";
	colors[1]     = "0.000 0.4 0.8 1";
	colors[2]     = "0.4 0.85 0.9 0.5";
	colors[3]     = "0.9 0.9 0.9 0.5";

	sizes[0]	= 0.2;
	sizes[1]	= 0.8;
	sizes[2]	= 1.3;
	sizes[3]	= 1.5;

	times[0]	= 0.0;
	times[1]	= 0.52;
	times[2]	= 1.0;
	times[3]	= 1.3;
};

datablock ParticleEmitterData(PrinterColorEmitter)
{
   ejectionPeriodMS = 8;
   periodVarianceMS = 0;
   ejectionVelocity = 10;
   ejectionoffset   = 0.1;
   velocityVariance = 0.0;
   thetaMin         = 0;
   thetaMax         = 0;
   phiReferenceVel  = 0;
   phiVariance      = 0;
   overrideAdvance = false;
   useEmitterColors = True;

   //lifetimeMS = 5000;
   particles = PrinterColoredEmitter;   

	uiName = "Print Gun Colored";
};